Bug 1299472 - PackageKit thinks being up to date is an internal system error
PackageKit thinks being up to date is an internal system error
Status: NEW
Product: Fedora
Classification: Fedora
Component: PackageKit-Qt (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 07:51 EST by Jonathan Wakely
Modified: 2017-08-09 13:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:40:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the scary error message (15.63 KB, image/png)
2016-01-18 07:52 EST, Jonathan Wakely
no flags Details

  None (edit)
Description Jonathan Wakely 2016-01-18 07:51:35 EST
Description of problem:

When PackageKit is asked to install updates that have already been installed it gives a scary-looking error message.

Version-Release number of selected component (if applicable):

PackageKit-1.0.11-1.fc23.x86_64
PackageKit-Qt-0.9.5-5.fc23.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Choose some installed package, I'll use bash, and then as root run "dnf downgrade bash" and "pkcon refresh"
2. The PK applet will popup a notification about updates being available.
3. As root run "dnf update bash"
4. Click "Install Updates" in the PK applet.

Actual results:

Scary looking error message with missing punctuation between the first two sentences and a request to report a bug:

  An internal system error has occurred A problem
  that we were not expecting has occurred.
  Please report this bug with the error description.

What "error description"? That alert is entirely unhelpful.

Expected results:

PK should realise the system is up to date and should just deal with it. It's not a bug and doesn't need action.

If the last step is replaced by "pkcon update" on the command-line then it prints a sensible message instead of losing the plot:

  No packages require updating to newer versions.

The GUI should do something similar.

(Ideally off course DNF and PK should share their update caches and then this problem wouldn't even exist, but  that seems to be some way of happening.)
Comment 1 Jonathan Wakely 2016-01-18 07:52 EST
Created attachment 1115845 [details]
Screenshot of the scary error message
Comment 2 Jonathan Wakely 2016-01-18 07:54:19 EST
(In reply to Jonathan Wakely from comment #0)
> (Ideally off course DNF and PK should share their update caches and then
> this problem wouldn't even exist, but  that seems to be some way of
> happening.)

Oops, off <--> of

Not sure what my fingers were doing.
Comment 3 Jonathan Wakely 2016-01-18 07:57:56 EST
Maybe component should be "apper", I get confused about what packages I'm actually dealing with in KDE.

apper-0.9.2-3.fc23.x86_64
Comment 4 Fedora End Of Life 2016-11-24 10:01:56 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Jonathan Wakely 2016-11-24 10:47:27 EST
Still happens for F24.

(Also, it probably shouldn't even download the packages if they've already been updated via dnf or some other non-PK method).
Comment 6 Jonathan Wakely 2017-06-27 07:43:32 EDT
Possibly fixed upstream by https://github.com/KDE/plasma-pk-updates/commit/048acbfce7af212b8f61ded559ed7df50af86ebd
Comment 7 Fedora End Of Life 2017-07-25 15:48:01 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-08-08 08:40:29 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Jonathan Wakely 2017-08-09 13:24:07 EDT
Still happens in F26, but now the popup says "The PackageKit daemon has crashed"

Note You need to log in before you can comment on or make changes to this bug.